itpp::it_file_base::data_header Struct Reference

Data header structure. More...

`#include <itpp/base/itfile.h>`

## Public Attributes

uint64_t | hdr_bytes
| Number of bytes of the header.
uint64_t | data_bytes
| Number of bytes of the data.
uint64_t | block_bytes
| Number of bytes of the header + data.
std::string | name
| Data name.
std::string | type
| Data type, e.g. int32, float32, etc. type = "" means deleted.
std::string | desc
| Data description.

## Detailed Description

Data header structure.

Definition at line 98 of file itfile.h.

The documentation for this struct was generated from the following file:

- itpp/base/itfile.h

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13